Security Lab

Переполнение буфера в SIDVault

Дата публикации:28.08.2007
Всего просмотров:1802
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: SIDVault 2.x
Уязвимые версии: SIDVault версии до 2.0f

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в механизме LDAP. Удаленный пользователь может с помощью специально сформированного LDAP пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.alphacentauri.co.nz/sidvault/index.htm

Решение: Установите последнюю версию 2.0f с сайта производителя.

Ссылки: SIDVault LDAP Server Preauth Remote Buffer Overflow Exploit